import z from 'zod';
import { BENEFICIARY_EDGE_TYPE } from '../graph/constants';
import { listBeneficiariesQueryParser, listBeneficiariesResponseParser } from './parsers';
export type BeneficiaryEdgeType = typeof BENEFICIARY_EDGE_TYPE;
export declare enum BeneficiaryIdBrand {
    _ = ""
}
export type BeneficiaryId = string & BeneficiaryIdBrand;
export type BeneficiaryListResult = z.infer<typeof listBeneficiariesResponseParser>;
export type BeneficiaryListQuery = z.input<typeof listBeneficiariesQueryParser>;
export type BeneficiaryListQueryTransformed = z.output<typeof listBeneficiariesQueryParser>;
