import z from 'zod';
export declare const payoutProviderOriginTypeParser: z.ZodEnum<["stripe", "paypal"]>;
export declare const payoutProviderLoginLinkParamsParser: z.ZodObject<{
    originType: z.ZodEnum<["stripe", "paypal"]>;
}, "strip", z.ZodTypeAny, {
    originType: "paypal" | "stripe";
}, {
    originType: "paypal" | "stripe";
}>;
export declare const payoutProviderLoginLinkResultParser: z.ZodString;
