import z from 'zod';
import { PAYOUT_PROVIDER_ORIGIN_TYPE_PARAM_NAME, PAYOUT_PROVIDER_ORIGIN_TYPES } from './constants';

export const payoutProviderOriginTypeParser = z.enum(PAYOUT_PROVIDER_ORIGIN_TYPES);

export const payoutProviderLoginLinkParamsParser = z.object({
  [PAYOUT_PROVIDER_ORIGIN_TYPE_PARAM_NAME]: payoutProviderOriginTypeParser,
});
export const payoutProviderLoginLinkResultParser = z.string().url();
